#ifndef UTILITY_H
#define UTILITY_H

#include "../Daodan.h"

#define WHERESTR  "[%-22s:%4d ]: "
#define WHEREARG  __FILE__, __LINE__
#define DEBUGPRINT2(...)       DDrStartupMessage(__VA_ARGS__)
#define STARTUPMESSAGE(_fmt, ...)  DEBUGPRINT2(WHERESTR _fmt, WHEREARG, __VA_ARGS__)

extern DPI_AWARENESS_CONTEXT DDgDpiAwareness;

void __cdecl DDrStartupMessage(const char* fmt, ...);
short ONICALL DDrPlatform_Initialize(void);
int64_t ONICALL DDrMachineTime_High();
double  ONICALL DDrMachineTime_High_Frequency();
int64_t ONICALL DDrMachineTime_Sixtieths();
int64_t ONICALL DDrMachineTime_Sixtieths_QPC(void);
void ONICALL DDrMake_Weapon_Message(char* weapon_string, char* output_ptr);
void ONICALL DDrWeapon2Message(int* weapon, void* output_ptr);
void ONICALL DDrText_Hook();
#endif
